%{?nodejs_find_provides_and_requires}

%global packagename is-url
%global enable_tests 1

Name:		nodejs-is-url
Version:	1.2.1
Release:	1%{?dist}
Summary:	Check whether a string is a URL

License:	MIT
URL:		https://github.com/segmentio/is-url
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# No license file in source code -- requested upstream at
# https://github.com/segmentio/is-url/issues/12
Source1:	LICENSE-MIT.txt

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Check whether a string is a URL.


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul  7 2016 Jared Smith <jsmith@fedoraproject.org> - 1.2.1-1
- Initial packaging
